Author Topic: Are 3.2 tournaments backward compatible with 3.1??  (Read 544 times)


  • Newbie
  • *
  • Posts: 27
    • View Profile
Are 3.2 tournaments backward compatible with 3.1??
« on: October 08, 2013, 01:14:17 PM »
Due to recent laptop crash, I loaded 3.2 on my laptop... This works great!
However, I maintain my league stats on my home desk top. When I tried to open my latest tournament (was run on 3.2 laptop) on the desk top (3.1) TD would open, but did not contain the tournament info. 
Am I missing something or are the files not backward compatible?
If I load 3.2 on my desktop, will it read all of my saved 3.1 files, stats, and database?

Once again thanks for all of the outstanding support you provide,

Corey Cooper

  • Administrator
  • Hero Member
  • *****
  • Posts: 5494
    • View Profile
Re: Are 3.2 tournaments backward compatible with 3.1??
« Reply #1 on: October 08, 2013, 02:00:00 PM »
The Tournament Director is 100% backwards-compatible.  You can fire up the latest version (3.2.1) and load a tournament saved with version 1.3.5.  You should, with version 3.2, be able to open any file saved with an earlier version of the software.

The Tournament Director is NOT necessarily forward-compatible.  Version 3.1 may or may not be able to open a file saved with version 3.2.  If there were no changes to the tournament save-file format, then using version 3.1 to open a tournament saved with version 3.2 will probably work.  And if there were changes, it probably won't work.

* I had to look up what it meant to be backwards-compatible version forward-compatible. :)